scancode_to_name(3)

NAME
scancode_to_name - Converts a scancode to a key name. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

const char *scancode_to_name(int scancode);

DESCRIPTION
This function returns a string pointer containing the name of they key with the given scancode. This is useful if you e.g. let the user choose a key for some action, and want to display something more meaningful than just the scancode. Example:
   char const *keyname = scancode_to_name(scancode);
   allegro_message("You pressed the %s key.", keyname);

SEE ALSO
scancode_to_ascii(3), exkeys(3)